<%  
  '1.1 TIFF tag definitions.
  '==========================================================================================
  Const AP_TIFF_COMPRESSION_NONE     = 0   'No compression.
  Const AP_TIFF_COMPRESSION_LZW      = 1   '1,4,8,24bits(default 4,8,24bits)
  Const AP_TIFF_COMPRESSION_JPEG     = 2   'Grayscale 8bits,24bits
  Const AP_TIFF_COMPRESSION_PACKBITS = 3   '4,8,24bits
  Const AP_TIFF_COMPRESSION_CCITTG4  = 4   '1bit(default 1bit)
  Const AP_TIFF_COMPRESSION_CCITTG3  = 5   '1bit
  Const AP_TIFF_COMPRESSION_RLE      = 6   '1bit
  '==========================================================================================
    
  '1.2 Return code definitions.
  '==========================================================================================
  Const RTN_OK = 1             'Successful operation.
  Const ERR_UNKNOWN = -99      'Unknown system error.

  Const ERR_OVER_MAXTHREADS = -1   'Over the limit amount of threads.
  Const ERR_FILE_UNEXIST    = -2   'Source PDF file unexist.
  Const ERR_FILE_DAMAGED    = -3   'Source PDF file is damaged.
  Const ERR_FILE_RESTRICTED = -4   'Source PDF file is restricted.
  '==========================================================================================
%>

<html>
<head><title>Adultpdf - Pdf2Image ASP Demo!</title></head>
<body>
<%
    'To convert appointed pdf pages of the pdf document.
    Call doMain()
    
'--------------------------------------------------------------------------------------------    
    sub doMain()
        Dim m_Pages
        m_Pages = Array(1, 3, 6, 8, 9, 11)
	    sPdfFile = "d:\\sample.pdf"   'Source PDF document
	    sOutDir = "d:\\demo2"         'Output directory
	    
        'Create com object.
	    Set AxPdf2Tiff = Server.CreateObject("Pdf2TiffCOM.pdf2tiff")
	    
	    'Open pdf file and creating a converter.
	    'After openned successfully, it creates a converter and return a handle of the converter.
	    nHandle = AxPdf2Tiff.apOpen(sPdfFile,"","")
        Select Case nHandle
         Case ERR_OVER_MAXTHREADS
             Response.write "Open '"+sPdfFile+"' failure - Over the limit amount of threads,please waiting!<br>"
             exit sub
         Case ERR_FILE_UNEXIST
             Response.write "Open '"+sPdfFile+"' failure - Source pdf file unexist!<br>"
             exit sub
         Case ERR_FILE_DAMAGED
             Response.write "Open '"+sPdfFile+"' failure - Source pdf file damaged!<br>"
             exit sub
         Case ERR_FILE_RESTRICTED
             Response.write "Open '"+sPdfFile+"' failure - Source pdf file restricted!<br>"
             exit sub
        End Select
	    Response.write "Source PDF File: ["+sPdfFile+"] <br>"
	    Response.write "Output Directory: ["+sOutDir+"] <br>"
	    
        'Setting properties.
        'For more,please refer to user manual.
        AxPdf2Tiff.sOutDirectory = sOutDir  'output directory
        AxPdf2Tiff.iXDPI = 110              'horizontal dpi
        AxPdf2Tiff.iYDPI = 110              'vertical dpi
        AxPdf2Tiff.iMultiPages = 1          'generate multipages tiff
        AxPdf2Tiff.iCompression = AP_TIFF_COMPRESSION_LZW  'lzw compression mode
        
        iPageCount = UBound(m_Pages)
        Response.write "Page Count: ["+cstr(iPageCount+1)+"] <br>"
        
        'To convert the appointed pages of the pdf document.
        For iPos = 0 To iPageCount
		    Response.write "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converting the page "+cstr(m_Pages(iPos))+"......<br>"
		    AxPdf2Tiff.apConvertPage nHandle,m_Pages(iPos)
		Next
        
	    'Close pdf file and destory the converter.
	    AxPdf2Tiff.apClose nHandle
	    Response.write "Conversion successful!<br>"
    end sub
'--------------------------------------------------------------------------------------------
%>
</body>
</html>